<?php
namespace app\common\model;
use liuniu\BaseModel;

class UserApply extends BaseModel
{
    // 表名
    protected $name = 'user_apply';


    public static function lst($where)
    {
        $model = new self;
        if (isset($where['cid']) && $where['cid'] > 0) $model->where('cid', $where['cid']);
        if (isset($where['user_id']) && $where['user_id'] > 0) $model->where('user_id', $where['user_id']);
        if (isset($where['status']) && $where['status'] > -2) $model->where('status', $where['status']);
        $data = $model->order('id desc')->page($where['page'], $where['limit'])->select();
        foreach ($data as &$v)
        {
            $v['info'] = Help::info($v['cid'],$v['id'],$v['user_id']);
        }
        return $data;
    }
}